osmium::area::AssemblerConfig Struct Reference

`#include <assembler.hpp>`

Collaboration diagram for osmium::area::AssemblerConfig:
[legend]

## Public Member Functions

| AssemblerConfig (osmium::area::ProblemReporter *pr=nullptr, bool d=false)
void | enable_debug_output (bool d=true)

## Public Attributes

osmium::area::ProblemReporter * | problem_reporter
bool | debug

## Constructor & Destructor Documentation

osmium::area::AssemblerConfig::AssemblerConfig | ( | osmium::area::ProblemReporter * | pr = `nullptr`,
|  | bool | d = `false`
| ) |  |

inline explicit

## Member Function Documentation

void osmium::area::AssemblerConfig::enable_debug_output | ( | bool | d = `true` | ) |

inline

Enable or disable debug output to stderr. This is for Osmium developers only.

## Member Data Documentation

bool osmium::area::AssemblerConfig::debug

osmium::area::ProblemReporter* osmium::area::AssemblerConfig::problem_reporter

The documentation for this struct was generated from the following file:

- osmium/area/assembler.hpp